#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QKeyEvent>
#include <QDebug>
#include <QString>
#include <QLabel>
#include <QtTextToSpeech/QTextToSpeech>
#include "dialogmaze.h"
#include "coremaze.h"

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();
signals:
    void sendComand(QString cmd);
private:
    Ui::Widget *ui;
    QTextToSpeech *mTextToSpeech;
    CoreMaze *mCoreMaze;
    DialogMaze *mDialogMaze;

    QString key;
    bool flagStartStop;

protected:
    void keyPressEvent(QKeyEvent *event);
private slots:
    void on_pushButtonUp_clicked();
    void on_pushButtonDown_clicked();
    void on_pushButtonLeft_clicked();
    void on_pushButtonRight_clicked();
    void on_pushButtonFire_clicked();
    void on_pushButtonSpace_clicked();
    void turnOnOffWall(int wall);
    void on_pushButton_clicked();
signals:
void updatePerson();
};
#endif // WIDGET_H
